Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class MUCRoomTask

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.MUCRoomTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

Direct Known Subclasses:
  AddAffiliation, AddMember, BroadcastMessageRequest, BroadcastPresenceRequest, ChangeNickname, DestroyRoomRequest, OccupantAddedEvent, OccupantLeftEvent, RoomUpdatedEvent, UpdateOccupant, UpdateOccupantRequest, UpdatePresence

    public abstract class MUCRoomTask

extends Object
implements ClusterTask

Task related to a room to be executed in a cluster node. This is a base class to specific room tasks. The base class just keeps track of the room related to the task.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`protected` | `MUCRoomTask()`
`protected` | `MUCRoomTask(LocalMUCRoom room)`

Method Summary
`protected void` | `execute(Runnable runnable)` Executes the requested task considering that this JVM may still be joining the cluster.
`LocalMUCRoom` | `getRoom()`
`boolean` | `isOriginator()`
`void` | `readExternal(ObjectInput in)`
`void` | `setOriginator(boolean originator)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jivesoftware.util.cache.ClusterTask
`getResult`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### MUCRoomTask

    protected MUCRoomTask()

### MUCRoomTask

    protected MUCRoomTask(LocalMUCRoom room)

Method Detail

### getRoom

    public LocalMUCRoom getRoom()

### execute

    protected void execute(Runnable runnable)

  Executes the requested task considering that this JVM may still be joining the cluster. This means that events regarding rooms that were not loaded yet will be stored for later processing. Once the JVM is done joining the cluster queued tasks will be processed.

  Parameters:
    `runnable` - the task to execute.

### isOriginator

    public boolean isOriginator()

### setOriginator

    public void setOriginator(boolean originator)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.